
Redmine - Defect #8895

redmine.org changelog page pre formatting

2011-07-24 19:35 - lukasz rysiak

Status: Closed Start date: 2011-07-24

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Website (redmine.org) Estimated time: 0.17 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

I think you should change formatting on Changelog page - putting list of changes into "pre" blocks makes ticket numbers not

clickable.

It's way better to have changelog with clickable ticket #numbers - i've done the same in my company and we realized that it's such a

small change and you can go directly from changelog page to specific issue without any extra copy-paste or whatever you do to go to

specific ticket to check if it's about an issue that concerns you.

changelogs for specific versions are lists anyway (* == ul) so it wont break page layout.

example:

Before change:

1.2.1 (2011-07-11)

* Defect #5089: i18N error on truncated revision diff view

* Defect #7501: Search options get lost after clicking on a specific result type

* Defect #8229: "project.xml" response does not include the parent ID

* Defect #8449: Wiki annotated page does not display author of version 1

* Defect #8467: Missing german translation - Warn me when leaving a page with unsaved text

* Defect #8468: No warning when leaving page with unsaved text that has not lost focus

* Defect #8472: Private checkbox ignored on issue creation with "Set own issues public or private"

 permission

* Defect #8510: JRuby: Can't open administrator panel if scm command is not available

* Defect #8512: Syntax highlighter on Welcome page

* Defect #8554: Translation missing error on custom field validation

* Defect #8565: JRuby: Japanese PDF export error

* Defect #8566: Exported PDF UTF-8 Vietnamese not correct

* Defect #8569: JRuby: PDF export error with TypeError

* Defect #8576: Missing german translation - different things

* Defect #8616: Circular relations

* Defect #8646: Russian translation "label_follows" and "label_follows" are wrong

* Defect #8712: False 'Description updated' journal details messages

* Defect #8729: Not-public queries are not private

* Defect #8737: Broken line of long issue description on issue PDF.

* Defect #8738: Missing revision number/id of associated revisions on issue PDF

* Defect #8739: Workflow copy does not copy advanced workflow settings

* Defect #8759: Setting issue attributes from mail should be case-insensitive

* Defect #8777: Mercurial: Not able to Resetting Redmine project respository

 After change:

1.2.1 (2011-07-11)

Defect #5089: i18N error on truncated revision diff view

Defect #7501: Search options get lost after clicking on a specific result type

Defect #8229: "project.xml" response does not include the parent ID

Defect #8449: Wiki annotated page does not display author of version 1

Defect #8467: Missing german translation - Warn me when leaving a page with unsaved text

Defect #8468: No warning when leaving page with unsaved text that has not lost focus

2025-05-08 1/2

https://www.redmine.org/projects/redmine/wiki/Changelog
https://www.redmine.org/issues/5089
https://www.redmine.org/issues/7501
https://www.redmine.org/issues/8229
https://www.redmine.org/issues/8449
https://www.redmine.org/issues/8467
https://www.redmine.org/issues/8468


Defect #8472: Private checkbox ignored on issue creation with "Set own issues public or private" permission

Defect #8510: JRuby: Can't open administrator panel if scm command is not available

Defect #8512: Syntax highlighter on Welcome page

Defect #8554: Translation missing error on custom field validation

Defect #8565: JRuby: Japanese PDF export error

Defect #8566: Exported PDF UTF-8 Vietnamese not correct

Defect #8569: JRuby: PDF export error with TypeError

Defect #8576: Missing german translation - different things

Defect #8616: Circular relations

Defect #8646: Russian translation "label_follows" and "label_follows" are wrong

Defect #8712: False 'Description updated' journal details messages

Defect #8729: Not-public queries are not private

Defect #8737: Broken line of long issue description on issue PDF.

Defect #8738: Missing revision number/id of associated revisions on issue PDF

Defect #8739: Workflow copy does not copy advanced workflow settings

Defect #8759: Setting issue attributes from mail should be case-insensitive

Defect #8777: Mercurial: Not able to Resetting Redmine project respository

History

#1 - 2011-07-24 19:38 - lukasz rysiak

actually previous changelogs were done in this way - Changelog_1_0

#2 - 2011-07-25 13:10 - Etienne Massip

- Category changed from Documentation to Website (redmine.org)

#3 - 2011-08-04 22:25 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

Done, it's OK for me. Jean-Philippe: I let you switch back to the previous version if needed, maybe I missed something.
